package com.yh.saas.plugin.yiliangyiyun.controller;


import com.baomidou.mybatisplus.plugins.Page;
import com.yh.saas.plugin.yiliangyiyun.entity.ClockInfo;
import com.yh.saas.plugin.yiliangyiyun.entity.FuelFillingInfo;
import com.yh.saas.plugin.yiliangyiyun.service.IClockInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 记录打卡信息 前端控制器
 * </p>
 *
 * @author Gdc
 * @since 2022-06-11
 */
@RestController
@RequestMapping("/clockInfo")
public class ClockInfoController {
    @Autowired
    private IClockInfoService clockInfoService;

    /**
     * 添加上班打卡信息
     *
     * @param clockInfo
     * @return
     */
    @PostMapping("/api/addClock")
    public String addClock(@RequestBody ClockInfo clockInfo) {
        return clockInfoService.addClock(clockInfo);
    }

    /**
     * 打卡记录查询
     *
     * @param clockInfo
     * @return
     */
    @GetMapping("/selectClockInfo")
    public Page<ClockInfo> selectClockInfo(ClockInfo clockInfo) {
        return clockInfoService.selectClockInfo(clockInfo);
    }

    /**
     * 考勤记录查询(PC)
     *
     * @param clockInfo
     * @return
     */
    @GetMapping("/selectClockInfoPc")
    public Page<ClockInfo> selectClockInfoPc(ClockInfo clockInfo) {
        return clockInfoService.selectClockInfoPc(clockInfo);
    }

    /**
     * 添加补卡信息
     *
     * @param clockInfo1
     * @return
     */
    @PostMapping("/api/suppClock")
    public String suppClock(@RequestBody ClockInfo clockInfo1) {
        return clockInfoService.suppClock(clockInfo1);
    }
    /**
     * 查看补卡信息
     *
     * @param id
     * @return
     */
    @GetMapping("/getSuppClock")
    public ClockInfo getSuppClock(@RequestParam String id) {
        return clockInfoService.getSuppClock(id);
    }
}

